Bug 1411519 - [RFE] Security Groups missing CRUD UI
Summary: [RFE] Security Groups missing CRUD UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.1
Assignee: Gilles Dubreuil
QA Contact: Ola Pavlenko
URL:
Whiteboard: openstack:sdn
Depends On: 1394278
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 21:27 UTC by Satoe Imaishi
Modified: 2017-08-30 03:45 UTC (History)
9 users (show)

Fixed In Version: 5.7.1.0
Doc Type: Enhancement
Doc Text:
Clone Of: 1394278
Environment:
Last Closed: 2017-02-27 19:19:48 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-10 23:10:58 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/d7c468c7c7e6e97ad9500ff7eccbfe5ab79df7f9

commit d7c468c7c7e6e97ad9500ff7eccbfe5ab79df7f9
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Mon Dec 19 13:17:31 2016 +0000
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jan 10 18:04:07 2017 -0500

    Merge pull request #13165 from gildub/network-provisioning-security-groups-ui
    
    Security Groups provisioning UI
    (cherry picked from commit 3c0496194bc1b1c0e5e613634c2c241b8aaf9ff4)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1411519

 .../security_group_form_controller.js              |  51 +++++
 app/controllers/security_group_controller.rb       | 249 +++++++++++++++++++++
 .../toolbar/security_group_center.rb               |  32 +++
 .../toolbar/security_groups_center.rb              |  38 ++++
 .../providers/openstack/network_manager.rb         |   1 -
 .../openstack/network_manager/security_group.rb    |  22 +-
 app/models/security_group.rb                       |   6 +
 .../security_group/_common_new_edit.html.haml      |  23 ++
 app/views/security_group/edit.html.haml            |  28 +++
 app/views/security_group/new.html.haml             |  41 ++++
 config/routes.rb                                   |   8 +
 db/fixtures/miq_product_features.yml               |  17 ++
 spec/controllers/security_group_controller_spec.rb | 197 ++++++++++++++++
 13 files changed, 706 insertions(+), 7 deletions(-)
 create mode 100644 app/assets/javascripts/controllers/security_group/security_group_form_controller.js
 create mode 100644 app/views/security_group/_common_new_edit.html.haml
 create mode 100644 app/views/security_group/edit.html.haml
 create mode 100644 app/views/security_group/new.html.haml

Comment 4 errata-xmlrpc 2017-02-27 19:19:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.